CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006326CentOS-6system-config-userspublic2013-03-15 19:502013-08-31 13:00
Reportertarantinos 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformi686OSCentOSOS Version6.3
Product Version6.3 
Target VersionFixed in Version6.4 
Summary0006326: system-config-users & system-config-date & system-config-authentication does not work
Descriptionsystem-config-users/-date/-authentication doesnt work,
neither from command line nor from System->Administration->Users&Groups/Date&Time/Authentication

# system-config-users

No protocol specified
system-config-users requires a currently running X server.


# system-config-date

Traceback (most recent call last):
  File "/usr/share/system-config-date/system-config-date.py", line 73, in <module>
    useGuiMode(page)
  File "/usr/share/system-config-date/system-config-date.py", line 46, in useGuiMode
    import scdMainWindow
  File "/usr/share/system-config-date/scdMainWindow.py", line 30, in <module>
    import gtk
  File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
    _init()
  File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
    _gtk.init_check()
RuntimeError: could not open display


# system-config-authentication

No protocol specified
Unable to initialize graphical environment. Most likely cause of failure
is that the tool was not run using a graphical environment. Please either
start your graphical user interface or set your DISPLAY variable.
Steps To Reproduce1) # system-comfig-*
Additional Informationalso running gvim as root i get the error

# gvim

No protocol specified
E233: cannot open displayNo protocol specified
No protocol specified
No protocol specified
Tagssystem-config
Attached Files

- Relationships

-  Notes
(0016794)
StinkySQL (reporter)
2013-03-21 18:55

Running from Gnome's "System|Administration|Users And Groups" a non-root will be prompted for authorization and after entering the correct root, the window simply closes. You can watch TOP and see the user called "/usr/bin/system-config-users" process drop off the process list.
 If on the other hand you log in as root, this will work fine from the GUI.

Centos 6.4 (final)
Kernel 2.6.32-358.2.1.el6.i686
Gnome 2.28.2

Centos only system. Only addition to this new install was VM VirtualBox containing Centos 5.5
(0017100)
tarantinos (reporter)
2013-04-06 03:02

updates solve my problem, thanks
(0017102)
tigalch (developer)
2013-04-06 08:12

Marking as solved per original reporters feedback

- Issue History
Date Modified Username Field Change
2013-03-15 19:50 tarantinos New Issue
2013-03-15 20:02 tarantinos Tag Attached: system-config
2013-03-21 18:55 StinkySQL Note Added: 0016794
2013-04-06 03:02 tarantinos Note Added: 0017100
2013-04-06 08:12 tigalch Note Added: 0017102
2013-04-06 08:12 tigalch Status new => resolved
2013-04-06 08:12 tigalch Fixed in Version => 6.4
2013-04-06 08:12 tigalch Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker